### Constructor

# Template Template new

#### Declaration

    TmplTemplate*
    tmpl_template_new (
      TmplTemplateLocator* locator
    )

#### Description

Creates a new `TmplTemplate`.

If `locator` is specified, `locator` will be used to resolve include directives when parsing the template.

#### Parameters

`locator`

  Type: `TmplTemplateLocator`

  A `TmplTemplateLocator` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `TmplTemplate`

A `TmplTemplate`.

The caller of the function takes ownership of the data, and is responsible for freeing it.